Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ovs.api.datamodel
Class VirtualMachineBase

`java.lang.Object
oracle.ovs.api.datamodel.VirtualMachineBase`

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AbstractVMConfig, ISOVmConfig, ISOVMConfig, PXEVMConfig, TemplateVmConfig, TemplateVMConfig, VirtualMachine, VirtualMachineStatus

      public class VirtualMachineBase

extends java.lang.Object
implements java.io.Serializable

Virtual machine data model, use to hold some static variables for `VirtualMachine`

See Also:
  Serialized Form

Field Summary
`static BootDevice` | `BOOT_DEVICE_CDROM`
`static BootDevice` | `BOOT_DEVICE_HDD`
`static BootDevice` | `BOOT_DEVICE_PXE`
`static VmStatus` | `CLONING`
`static VmStatus` | `CREATING`
`static java.lang.String` | `DEFAULT_KEYBOARD_LAYOUT`
`static VmStatus` | `DELETING`
`static java.lang.String` | `DEPLOY_AUTO`
`static java.lang.String` | `DEPLOY_MANUAL`
`static VmStatus` | `DEPLOYING`
`static VmStatus` | `ERROR`
`static java.lang.String` | `IMG_TYPE`
`static VmStatus` | `INITIALIZING`
`static int` | `MEMORY_LOWERBOUND`
`static VmStatus` | `MIGRATING`
`static Operation` | `OP_CLONE`
`static Operation` | `OP_DELETE`
`static Operation` | `OP_EDIT`
`static Operation` | `OP_LIVEMIG`
`static Operation` | `OP_PAUSE`
`static Operation` | `OP_POWEROFF`
`static Operation` | `OP_POWERON`
`static Operation` | `OP_PREF_SRV`
`static Operation` | `OP_REBOOT`
`static Operation` | `OP_RESET_STATUS`
`static Operation` | `OP_RESUME`
`static Operation` | `OP_SAVTEM`
`static Operation` | `OP_SUSPEND`
`static Operation` | `OP_UNPAUSE`
`static VmStatus` | `PAUSED`
`static VmStatus` | `PAUSING`
`static VmStatus` | `POWEREDOFF`
`static VmStatus` | `REBOOTING`
`static VmStatus` | `RESUMING`
`static VmStatus` | `RUNNING`
`static VmStatus` | `SAVING`
`static VmStatus` | `SHUTTINGDOWN`
`static VmStatus` | `SUSPENDED`
`static VmStatus` | `SUSPENDING`
`static VmStatus` | `UNKNOWN`
`static VmStatus` | `UNPAUSING`
`static VmType` | `VM_TYPE_HVM`
`static VmType` | `VM_TYPE_PVM`

Constructor Summary
`VirtualMachineBase()`

Method Summary
`BootDevice` | `getBootDeviceCdrom()`
`BootDevice` | `getBootDeviceHdd()`
`BootDevice` | `getBootDevicePxe()`
`VmType` | `getHvmType()`
`VmType` | `getPvmType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_KEYBOARD_LAYOUT

    public static final java.lang.String DEFAULT_KEYBOARD_LAYOUT

  See Also:
    Constant Field Values

### IMG_TYPE

    public static final java.lang.String IMG_TYPE

  See Also:
    Constant Field Values

### DEPLOY_AUTO

    public static final java.lang.String DEPLOY_AUTO

  See Also:
    Constant Field Values

### DEPLOY_MANUAL

    public static final java.lang.String DEPLOY_MANUAL

  See Also:
    Constant Field Values

### MEMORY_LOWERBOUND

    public static final int MEMORY_LOWERBOUND

  See Also:
    Constant Field Values

### VM_TYPE_HVM

    public static final VmType VM_TYPE_HVM

### VM_TYPE_PVM

    public static final VmType VM_TYPE_PVM

### RUNNING

    public static final VmStatus RUNNING

### ERROR

    public static final VmStatus ERROR

### POWEREDOFF

    public static final VmStatus POWEREDOFF

### UNKNOWN

    public static final VmStatus UNKNOWN

### SUSPENDED

    public static final VmStatus SUSPENDED

### SHUTTINGDOWN

    public static final VmStatus SHUTTINGDOWN

### INITIALIZING

    public static final VmStatus INITIALIZING

### PAUSED

    public static final VmStatus PAUSED

### MIGRATING

    public static final VmStatus MIGRATING

### SUSPENDING

    public static final VmStatus SUSPENDING

### PAUSING

    public static final VmStatus PAUSING

### CREATING

    public static final VmStatus CREATING

### CLONING

    public static final VmStatus CLONING

### SAVING

    public static final VmStatus SAVING

### DEPLOYING

    public static final VmStatus DEPLOYING

### DELETING

    public static final VmStatus DELETING

### UNPAUSING

    public static final VmStatus UNPAUSING

### RESUMING

    public static final VmStatus RESUMING

### REBOOTING

    public static final VmStatus REBOOTING

### BOOT_DEVICE_HDD

    public static final BootDevice BOOT_DEVICE_HDD

### BOOT_DEVICE_PXE

    public static final BootDevice BOOT_DEVICE_PXE

### BOOT_DEVICE_CDROM

    public static final BootDevice BOOT_DEVICE_CDROM

### OP_POWERON

    public static final Operation OP_POWERON

### OP_POWEROFF

    public static final Operation OP_POWEROFF

### OP_REBOOT

    public static final Operation OP_REBOOT

### OP_DELETE

    public static final Operation OP_DELETE

### OP_PAUSE

    public static final Operation OP_PAUSE

### OP_UNPAUSE

    public static final Operation OP_UNPAUSE

### OP_SUSPEND

    public static final Operation OP_SUSPEND

### OP_RESUME

    public static final Operation OP_RESUME

### OP_LIVEMIG

    public static final Operation OP_LIVEMIG

### OP_CLONE

    public static final Operation OP_CLONE

### OP_SAVTEM

    public static final Operation OP_SAVTEM

### OP_EDIT

    public static final Operation OP_EDIT

### OP_PREF_SRV

    public static final Operation OP_PREF_SRV

### OP_RESET_STATUS

    public static final Operation OP_RESET_STATUS

Constructor Detail

### VirtualMachineBase

    public VirtualMachineBase()

Method Detail

### getHvmType

    public VmType getHvmType()

### getPvmType

    public VmType getPvmType()

### getBootDeviceHdd

    public BootDevice getBootDeviceHdd()

### getBootDevicePxe

    public BootDevice getBootDevicePxe()

### getBootDeviceCdrom

    public BootDevice getBootDeviceCdrom()

Skip navigation links

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle VM Manager Web Services API Reference Release 2.1.5 E14979-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009, Oracle. All rights reserved.